WSDL::BindingMessageHeaderDescription Class Reference

describes a SOAP message header for a SOAP operational binding message description More...

## Public Member Functions

| constructor (string part, bool encoded=False, WSMessage msg)
| creates the object

## Public Attributes

string | part
| message part name
bool | encoded
| required attribute More...
WSMessage | msg
| a weak reference to the actual message

## Detailed Description

describes a SOAP message header for a SOAP operational binding message description

## Member Data Documentation

## encoded

bool WSDL::BindingMessageHeaderDescription::encoded

required attribute

if True, then use = `"encoded"` (each message part references an abstract type using the `type` attribute), otherwise use = `"literal"` (each part references a concrete schema definition using either the `element` or `type` attribute)